
/*Nueva css*/
body {
    background-color: #ededed;
}
hr{
  border-top: 2px solid #C90005;
}
footer{
    width: 100%;
    color: #FFFFFF;
    background-color: rgba(255,255,255,0.4);
}
tbody {
    background-color:white;
}

.clase_table {
    border-collapse: separate;
    border-spacing: 10;
    border: 1px solid #5b9df8;
    border-radius: 15px;
    -moz-border-radius: 20px;
    padding: 5px;
    margin:auto;
    text-align: center;
    color: #FFFFFF;
    font-weight: 600;
    background-color: #5b9df8;

}

.clase_table_d {
    border-collapse: separate;
    border-spacing: 10;
    border: 1px solid #B0BEC5;
    border-radius: 15px;
    -moz-border-radius: 20px;
    padding: 5px;
    margin:auto;
    text-align: center;
    color: #EEEEEE;
    background-color: #C90005;

}

.clase_table2 {
    border-collapse: separate;
    border-spacing: 10;
    border: 1px solid #D0D3D4;
    border-radius: 15px;
    -moz-border-radius: 20px;
    padding: 2px;
    margin:auto;
    text-align: center;
    background-color: #dc3545;

}

.clase_table3 {
    border-collapse: separate;
    border-spacing: 1;
    border: 1px solid #EEEEEE;
    border-radius: 0px;
    -moz-border-radius: 0px;
    padding: 5px;
    margin:auto;
    text-align: center;
    color: #C90005;
    background-color: #ededed;

}

.dataTables_filter {
text-align: left !important;
}


/*//////////////////////////////////////////////////////////////////////////////*/

.dt-button {
  padding: 10;
  border: none;
}

 @media print {
  .no-imprimir {
    display: none;
  }
 }


.carga {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(255, 255, 255, 0.8); /* Color de fondo semi-transparente */
    z-index: 9999; /* Asegura que el indicador de carga esté encima de la tabla */
    display: none; /* Ocultar inicialmente el indicador de carga */
}

/* Estilos del indicador de carga (puedes personalizarlo según tus necesidades) */
.carga::after {
    content: 'Cargando...';
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    font-size: 20px;
    color: #333;
}

/* Estilos para los botones de DataTable */
.dataTables_wrapper .dt-buttons {
  margin-bottom: 20px !important; /* Margen inferior entre los botones y la tabla */
}

.dataTables_wrapper .dt-buttons button {
  padding: 8px 16px !important;
  border: none !important;
  border-radius: 4px !important;
  background-color: #9aa7ab !important; /* Color de fondo del botón */
  color: #fff !important; /* Color del texto del botón */
  cursor: pointer !important;
  margin-right: 10px !important; /* Espacio entre botones */
}

.dataTables_wrapper .dt-buttons button:hover {
  background-color: #1d6f42 !important; /* Color de fondo del botón al pasar el ratón */
}

.tabladatos_wrapper .scrollBody {
        background-color: #1d6f42 !important; /* Cambia el color de fondo del scroll */
    }